/*
  C source for GNU CHESS

// Fixed for learning chess game using Windows 95 and higher by Tomas Peceny, April 2002.

  Revision: 1990-09-30
  Modified by Daryl Baker for use in MS WINDOWS environment

  This file is part of CHESS.

  CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY.  No author or distributor accepts responsibility to anyone for
  the consequences of using it or for whether it serves any particular
  purpose or works at all, unless he says so in writing.  Refer to the CHESS
  General Public License for full details.

  Everyone is granted permission to copy, modify and redistribute CHESS, but
  only under the conditions described in the CHESS General Public License.
  A copy of this license is supposed to have been given to you along with
  CHESS so you can know your rights and responsibilities.  It should be in a
  file named COPYING.  Among other things, the copyright notice and this
  notice must be preserved on all copies.
*/

#include <windows.h>
#include "gnuchess.h"
#include "chess.h"

extern int NahodneOtevreni; // 
extern int FlagAkceler;
extern struct BookEntry *pMinule;
extern int GotFirst;
extern int coords;

int Invertovano(void);//

void Init_Menus (HWND hWnd, WORD wParam, LONG lParam )
{
   WORD Status;
        if ( lParam == MENU_ID_FILE )  {
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_NEW,
                 (FlagAkceler && !GotFirst ? MF_ENABLED : MF_GRAYED) );// 
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_GET,
                 (FlagAkceler && !GotFirst ? MF_ENABLED : MF_GRAYED) );// 
            EnableMenuItem ( (HANDLE)wParam, MSG_TP_OPENBOOK,
                 (FlagAkceler && !GotFirst ? MF_ENABLED : MF_GRAYED) );// 
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_SAVE, // EditActive cannot be true
                 (/*GameCnt>0 &&*/ FlagAkceler ? MF_ENABLED : MF_GRAYED) );// added FlagAkceler
            EnableMenuItem ( (HANDLE)wParam, MSG_TP_SAVEBOOK, // EditActive cannot be true
                 (GameCnt>0 && FlagAkceler ? MF_ENABLED : MF_GRAYED) );// added FlagAkceler
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_LIST, // EditActive cannot be true
                 (GameCnt>0 && FlagAkceler ? MF_ENABLED : MF_GRAYED) );// added FlagAkceler
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_QUIT,
                 (FlagAkceler ? MF_ENABLED : MF_GRAYED) );// 

        } else if ( lParam == MENU_ID_EDIT ) {       /*Edit Menu */
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_EDIT,
                             (!GotFirst ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_REVIEW,
                             (GameCnt>0 ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_UNDO,// EditActive cannot be true
                             (GameCnt>0 && FlagAkceler && !GotFirst ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_TP_REDO,// EditActive cannot be true
                             (GameCnt < GameCountNejv && FlagAkceler && !GotFirst ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_REMOVE,// EditActive cannot be true
                             (GameCnt>1 && FlagAkceler  && !GotFirst? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_FORCE,// EditActive cannot be true
                             (FlagAkceler? MF_ENABLED : MF_GRAYED) );
				if ( flag.force == false)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_FORCE, Status);

        } else if ( lParam == MENU_ID_OPTIONS ){  /* Options Menu */
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_BOTH,// EditActive cannot be true
                             (FlagAkceler  && !GotFirst? MF_ENABLED : MF_GRAYED) );
            if ( flag.hash == false)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_HASH, Status);

            if ( coords == false)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_COORD, Status);

            if ( flag.beep == false)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_BEEP, Status);

            if ( flag.bothsides == false)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_BOTH, Status);

            if ( Book == NULL)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_BOOK, Status);

            EnableMenuItem ( (HANDLE)wParam, MSG_TP_RANDOMBOOK,
                             (pMinule ? MF_ENABLED : MF_GRAYED) );

            if ( NahodneOtevreni)  Status = MF_CHECKED; else Status = MF_UNCHECKED;//
            CheckMenuItem ( (HANDLE)wParam, MSG_TP_RANDOMBOOK, Status);//

            if ( flag.post == false)  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_POST, Status);
        } else if (lParam == MENU_ID_SKILL) {

            EnableMenuItem ( (HANDLE)wParam, IDM_TIMECONTROL,// EditActive cannot be true
                             (FlagAkceler  && !GotFirst ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_RANDOM,
						FlagAkceler  && !GotFirst ? MF_ENABLED : MF_GRAYED);
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_EASY,
						FlagAkceler  && !GotFirst ? MF_ENABLED : MF_GRAYED);

            if ( dither == 0)
                  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_RANDOM, Status);
  
            if ( flag.easy == false)
                  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_EASY, Status);

         } else if ( lParam == MENU_ID_SIDE) {
            if ( flag.reverse == false)
                  Status = MF_UNCHECKED; else Status = MF_CHECKED;
            CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_REVERSE, Status);
  
            if ( computer == black ){
               CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_BLACK, MF_CHECKED);
               CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_WHITE, MF_UNCHECKED);
            } else {
               CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_WHITE, MF_CHECKED);
               CheckMenuItem ( (HANDLE)wParam, MSG_CHESS_BLACK, MF_UNCHECKED);
            }
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_REVERSE,
						FlagAkceler  && !GotFirst ? MF_ENABLED : MF_GRAYED);
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_SWITCH,// EditActive cannot be true
                             (FlagAkceler && !flag.force && !GotFirst ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_BLACK,// EditActive cannot be true
                             (FlagAkceler && !flag.force && !GotFirst ? MF_ENABLED : MF_GRAYED) );
            EnableMenuItem ( (HANDLE)wParam, MSG_CHESS_WHITE,// EditActive cannot be true
                             (FlagAkceler && !flag.force && !GotFirst ? MF_ENABLED : MF_GRAYED) );
         }
}
