/*
  C source for GNU CHESS

// Fixed for learning chess game using Windows 95 and higher by Tomas Peceny, April 2002.

  Revision: 1990-09-30
  Modified by Daryl Baker for use in MS WINDOWS environment

  This file is part of CHESS.

  CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY.  No author or distributor accepts responsibility to anyone for
  the consequences of using it or for whether it serves any particular
  purpose or works at all, unless he says so in writing.  Refer to the CHESS
  General Public License for full details.

  Everyone is granted permission to copy, modify and redistribute CHESS, but
  only under the conditions described in the CHESS General Public License.
  A copy of this license is supposed to have been given to you along with
  CHESS so you can know your rights and responsibilities.  It should be in a
  file named COPYING.  Among other things, the copyright notice and this
  notice must be preserved on all copies.
*/

#include <windows.h>
#include "timecnt.h"
#include "chess.h"

extern int UnicodeSaveBook;
extern int TCmoves, TCflag;
int TCminutesWhite = 120,TCminutesBlack = 5;//
extern int TCminutesWhite,TCminutesBlack,MakeMessageTime;//
extern HWND hWndTP;// the main window
extern int HvezdickaStale,KrizekCasu;//
extern short GameCnt;
void NapisHvezdicku(HWND hWnd,int MaBytHvezdicka);//
#define SAVE_DEFAULTS_TP                1068
#define MAKE_MESSAGE_TP                 1067
#define UNICODE_SAVE_BOOK               1178

int JeOtevrenBTP(void);//
void SaveTimeControls (void);//
void SetTimeControl (void);// here

BOOL CALLBACK TimeControlDlgProc ( HWND hDlg, UINT message,
                               WPARAM wParam, LPARAM lParam);


int TimeControlDialog ( HWND hWnd, HINSTANCE hInst, DWORD Param )
{
   int status;
	status = DialogBoxParam (hInst, MAKEINTRESOURCE(TIMECONTROL), hWnd, TimeControlDlgProc, Param);// lpProcTime
   return status;
}

static int tmpTCmoves;
static int tmpTCminutesWhite,tmpTCminutesBlack;

BOOL CALLBACK TimeControlDlgProc ( HWND hDlg, UINT message, // BOOL FAR PASCAL
                               WPARAM wParam, LPARAM lParam)
{

   switch (message) {int nIDCheckButton; 
	   case WM_INITDIALOG:		   /* message: initialize dialog box */
			nIDCheckButton=TCmoves+TMDLG_MOV;
         if(!CheckRadioButton ( hDlg, TMDLG_1MOV, TMDLG_60MOV, nIDCheckButton))
			  {int iZko;// for debugging; Never stepped here even when it was going to check 
			  //  no RadioButton. BM_SETCHECK message for the nIDCheckButton radio button window 
			  //  comes in that case with wParam==BST_UNCHECKED and no delay works!
				iZko=GetLastError();
			  }
         CheckRadioButton ( hDlg, TMDLG_5MIN_WHITE, TMDLG_600MIN_WHITE, TCminutesWhite+TMDLG_MIN_WHITE);
         CheckRadioButton ( hDlg, TMDLG_5MIN_BLACK, TMDLG_600MIN_BLACK, TCminutesBlack+TMDLG_MIN_BLACK);
         CheckDlgButton( hDlg, MAKE_MESSAGE_TP, MakeMessageTime?BST_CHECKED:BST_UNCHECKED); 
         CheckDlgButton( hDlg, UNICODE_SAVE_BOOK, UnicodeSaveBook?BST_CHECKED:BST_UNCHECKED); 

			EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),TRUE);//
			tmpTCminutesWhite = TCminutesWhite;
         tmpTCminutesBlack = TCminutesBlack;
         tmpTCmoves   = TCmoves;
         return (TRUE);

      case WM_SYSCOMMAND:
         if ( (wParam&0xfff0) == SC_CLOSE ) {
   		      EndDialog(hDlg, 0);
	   	      return TRUE;
         }
         break;


	   case WM_COMMAND:		      /* message: received a command */
         switch (wParam) {
         
            case IDOK:
               TCminutesWhite = tmpTCminutesWhite;
               TCminutesBlack = tmpTCminutesBlack;
               TCmoves   = tmpTCmoves;
					EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),TRUE);//
               TCflag = (TCmoves>1);// here
               if(GameCnt<=1)
						KrizekCasu=FALSE;
					else
						KrizekCasu=TRUE;
               SetTimeControl ();// here
		         return TRUE;
               break;

             case IDCANCEL:
   		      EndDialog(hDlg, 0);
	   	      return TRUE;
               break;

            case TMDLG_1MOV:
            case TMDLG_10MOV:
            case TMDLG_20MOV:
            case TMDLG_40MOV:
            case TMDLG_60MOV:
                  tmpTCmoves = wParam - TMDLG_MOV;       
                  CheckRadioButton ( hDlg, TMDLG_1MOV, TMDLG_60MOV, wParam);
					   EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),FALSE);//
                  break;

            case TMDLG_5MIN_WHITE:
            case TMDLG_10MIN_WHITE:
            case TMDLG_60MIN_WHITE:
            case TMDLG_120MIN_WHITE:
            case TMDLG_600MIN_WHITE:
                  tmpTCminutesWhite = wParam - TMDLG_MIN_WHITE;
                  CheckRadioButton ( hDlg, TMDLG_5MIN_WHITE, TMDLG_600MIN_WHITE, wParam);
					   EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),FALSE);//
                  break;

            case TMDLG_5MIN_BLACK:
            case TMDLG_10MIN_BLACK:
            case TMDLG_60MIN_BLACK:
            case TMDLG_120MIN_BLACK:
            case TMDLG_600MIN_BLACK:
                  tmpTCminutesBlack = wParam - TMDLG_MIN_BLACK;
                  CheckRadioButton ( hDlg, TMDLG_5MIN_BLACK, TMDLG_600MIN_BLACK, wParam);
					   EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),FALSE);//
                  break;

				case MAKE_MESSAGE_TP:
						MakeMessageTime=!MakeMessageTime;
						CheckDlgButton( hDlg, MAKE_MESSAGE_TP, MakeMessageTime?BST_CHECKED:BST_UNCHECKED); 
					   EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),FALSE);//
						break;

				case UNICODE_SAVE_BOOK:
						UnicodeSaveBook=!UnicodeSaveBook;
						CheckDlgButton( hDlg, UNICODE_SAVE_BOOK, UnicodeSaveBook?BST_CHECKED:BST_UNCHECKED); 
					   EnableWindow (GetDlgItem(hDlg,SAVE_DEFAULTS_TP),FALSE);//
						break;

				case SAVE_DEFAULTS_TP: //
						SaveTimeControls();
						break;
         }
	      break;
    }

    return (FALSE);			      /* Didn't process a message    */
}
